%define oname python-cjson
Name: python-module-%oname
Version: 1.0.5
Release: alt2.1
Summary: Fast JSON encoder/decoder for Python
License: LGPL
Group: Development/Python
Url: http://pypi.python.org/pypi/python-cjson/
Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source: %name-%version.tar

BuildPreReq: python-devel python-module-distribute
Conflicts: python-module-cjson

%description
This module implements a very fast JSON encoder/decoder for Python.

JSON stands for JavaScript Object Notation and is a text based
lightweight data exchange format which is easy for humans to read/write
and for machines to parse/generate. JSON is completely language
independent and has multiple implementations in most of the programming
languages, making it ideal for data exchange and storage.

The module is written in C and it is up to 250 times faster when
compared to the other python JSON implementations which are written
directly in python. This speed gain varies with the complexity of the
data and the operation and is the the range of 10-200 times for encoding
operations and in the range of 100-250 times for decoding operations.

%prep
%setup

%build
%python_build

%install
%python_install

%files
%doc ChangeLog LICENSE README
%python_sitelibdir/*

%changelog
* Thu Oct 20 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 1.0.5-alt2.1
- Rebuild with Python-2.7

* Sun Jun 26 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.0.5-alt2
- Added explicit conflict with python-module-cjson

* Fri Jun 24 2011 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 1.0.5-alt1
- Initial build for Sisyphus

